Subject: RE: linux-next: manual merge of the sound tree with the s5p tree

From: Kukjin Kim <[email-masked]>
Date: Thu, 23 Dec 2010 19:31:12 +0900

Stephen Rothwell wrote:
> 
> Hi Takashi,
> 
> Today's linux-next merge of the sound tree got a conflict in
> sound/soc/samsung/smdk_wm8580.c sound/soc/samsung/smdk_wm9713.c between
> commit 7ca825bed699c77b218ead402202df384556950b ("ASoC: Samsung: Rename
> DMA device") from the s5p tree and various commits from the sound tree.
> 
> I used the versions from the sound tree that seemed to be supersets of the
> ones from the s5p tree.

Merry Xmas Stephen :-)

Thanks for your information.

As I said to Mark, I did 'cherry-pick' following 2 commits in my tree for
avoiding build error from sound-2.6.git.
I couldn't 'merge' into my tree because there is no suitable branch in your
tree...

--

commit 83e37b8e400ca51cc97946815b3055daacd92fa8
Author: Jassi Brar <[email-masked]>
Date:   Mon Nov 22 15:35:53 2010 +0900

    ARM: Samsung: Define common audio-dma device

    The ASoC uses common DMA driver for Audio devices. So it makes
    sense to a common audio-dma device shared across all platforms.

    Signed-off-by: Jassi Brar <[email-masked]>
    Acked-by: Kukjin Kim <[email-masked]>
    Acked-by: Liam Girdwood <[email-masked]>
    Signed-off-by: Mark Brown <[email-masked]>

commit 58bb4072132c54d832082cc6eac396a6db009cbd
Author: Jassi Brar <[email-masked]>
Date:   Mon Nov 22 15:35:50 2010 +0900

    ASoC: Samsung: Rename DMA device

    Some Samsung SoCs have a PCM(DSP) controller. So the name
    s3c24xx-pcm-audio for DMA driver is not very appropraite.
    This patch moves :-
        s3c24xx-pcm-audio -> samsung-audio

    Signed-off-by: Jassi Brar <[email-masked]>
    Acked-by: Kukjin Kim <[email-masked]>
    Acked-by: Liam Girdwood <[email-masked]>
    Signed-off-by: Mark Brown <[email-masked]>

--

Maybe happened conflict from latter commit.

Anyway I need above commits from sound-2.6.git in my tree...
so how method is better to me instead of cherry-pick it?

Thanks.

Best regards,
Kgene.
--
Kukjin Kim <[email-masked]>, Senior Engineer,
SW Solution Development Team, Samsung Electronics Co., Ltd.